Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libpng14 is still detected
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Wed May 30, 2012 7:59 am    Post subject: libpng14 is still detected Reply with quote

Code:

IgorReinCloud igor # emerge -pv --complete-graph=y --oneshot brasero

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS    ] media-libs/lcms-2.3 [1.19] USE="jpeg tiff zlib -doc -static-libs -test" 4,358 kB
[ebuild  N     ] media-libs/libdca-0.0.5-r2  USE="-debug -oss -static-libs" 388 kB
[ebuild  N     ] media-libs/faad2-2.7-r2  USE="-digitalradio -static-libs" 1,111 kB
[ebuild     U  ] media-libs/gstreamer-0.10.35 [0.10.32-r1] USE="introspection* nls -test" 3,522 kB
[ebuild  N     ] dev-libs/fribidi-0.19.2-r2  USE="-static-libs" 654 kB
[ebuild     U  ] media-libs/gst-plugins-base-0.10.35 [0.10.32] USE="introspection* nls orc (-debug%)" 2,718 kB
[ebuild  N     ] media-plugins/gst-plugins-faad-0.10.22  3,457 kB
[ebuild  N     ] media-plugins/gst-plugins-dts-0.10.22  USE="orc" 0 kB
[ebuild  N     ] media-gfx/imagemagick-6.7.6.4  USE="X bzip2 cxx djvu jpeg lcms openmp pango perl png svg tiff truetype xml zlib -autotrace -corefonts -fftw -fontconfig -fpx -graphviz -gs -hdri -jbig -jpeg2k -lqr -lzma -opencl -openexr -q32 -q64 -q8 -raw -static-libs -test -webp -wmf" 7,400 kB
[ebuild  N     ] media-video/dvdauthor-0.6.18  384 kB
[ebuild  N     ] media-plugins/gst-plugins-pulse-0.10.30  3,283 kB
[ebuild     U  ] media-plugins/gst-plugins-meta-0.10-r7 [0.10-r4] USE="X a52 aac%* alsa dts%* dvd flac mp3%* mpeg ogg pulseaudio* vorbis xv -dv% -dvb -ffmpeg -http% -lame -libvisual% -mms% -musepack% -mythtv -oss -taglib -theora -v4l% -vcd% -vpx% -wavpack% (-esd%) (-mad%*) (-v4l2%)" 0 kB
[ebuild     U  ] app-cdr/brasero-2.32.1-r1 [2.32.1] USE="cdr css dvd%* introspection* libburn nautilus -doc -playlist -test -vcd%" 0 kB

Total: 13 packages (4 upgrades, 8 new, 1 in new slot), Size of downloads: 27,270 kB

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


How come "imagemagic is pulling in? Is there a way to exclude it?

Thank you.

P.S.: For the reference, please see this thread.


Last edited by ONEEYEMAN on Wed May 30, 2012 4:14 pm; edited 2 times in total
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2537
Location: Hilbert space

PostPosted: Wed May 30, 2012 8:06 am    Post subject: Reply with quote

I guess the "culprit" is media-video/dvdauthor-0.6.18

Note that with ~version of it that is 0.7.0. you get a useflag enabling you to prefer a dependency on graphicsmagick rather than on imagemagick

Note also that the dependency on dvdauthor is likely to be pulled in because of brasero's dvd use flag.

So I beleive that the only way to remove *magick in your emerge list is to unset brasero's dvd use flag.
_________________
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Wed May 30, 2012 8:29 am    Post subject: Reply with quote

That was it.
Thank you.

Going forward with manual revdep-rebuild, here is what I get:
Code:

IgorReinCloud igor # emerge -pv --complete-graph=y --oneshot  ghostscript-gpl

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] app-text/poppler-data-0.4.5-r1  4,030 kB
[ebuild  NS    ] media-libs/lcms-2.3 [1.19] USE="jpeg tiff zlib -doc -static-libs -test" 4,358 kB
[ebuild  N     ] media-libs/jbig2dec-0.11-r1  USE="png -static-libs -test" 363 kB
[ebuild     U  ] app-text/ghostscript-gpl-9.05-r1 [8.71-r6] USE="X dbus%* djvu gtk -bindist -cups -idn% -jpeg2k -static-libs% (-cairo%*)" LINGUAS="-ja -ko -zh_CN -zh_TW" 27,824 kB

Total: 4 packages (1 upgrade, 2 new, 1 in new slot), Size of downloads: 36,574 kB

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


What is "lcms" and why it will be slotted?

And the next one:
Code:

IgorReinCloud igor # emerge -pv --complete-graph=y --oneshot  glade 

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] media-gfx/shared-color-profiles-0.1.5  18,213 kB
[ebuild  NS    ] media-libs/lcms-2.3 [1.19] USE="jpeg tiff zlib -doc -static-libs -test" 4,358 kB
[ebuild     U  ] dev-libs/glib-2.30.3 [2.28.6] USE="static-libs -debug -doc (-fam*) (-selinux) -systemtap% -test -utils% -xattr (-introspection%)" 5,511 kB
[ebuild     U  ] dev-libs/dbus-glib-0.98 [0.92] USE="-debug -doc -static-libs -test (-bash-completion%)" 707 kB
[ebuild     U  ] x11-libs/pango-1.29.4 [1.28.4] USE="X introspection -debug -doc -test" 1,129 kB
[ebuild     U  ] dev-libs/atk-2.2.0 [1.32.0-r1] USE="introspection nls -doc" 587 kB
[ebuild  N     ] dev-libs/libgusb-0.1.3  USE="-static-libs" 251 kB
[ebuild     U  ] sys-auth/polkit-0.104-r1 [0.101-r1] USE="gtk introspection* nls pam -debug -doc -examples -kde (-systemd)" 1,384 kB
[ebuild     U  ] sys-auth/consolekit-0.4.5_p20120320 [0.4.4] USE="acl%* pam policykit -debug -doc -test" 101 kB
[ebuild  N     ] x11-misc/colord-0.1.18  USE="gusb introspection udev -doc -examples -scanner -vala" 465 kB
[ebuild  NS    ] x11-libs/gtk+-3.2.3 [2.24.5-r1] USE="colord introspection (-aqua) -cups -debug -doc -examples (-packagekit) -test -vim-syntax -xinerama" 12,373 kB
[ebuild     U  ] gnome-extra/polkit-gnome-0.105 [0.101-r1] USE="(-doc%) (-examples%) (-introspection%)" 304 kB
[ebuild  NS    ] dev-util/glade-3.10.2 [3.8.1] USE="introspection -debug -doc -python" 2,325 kB

Total: 13 packages (7 upgrades, 3 new, 3 in new slots), Size of downloads: 47,701 kB

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


I don't want GTK+ 3 on my system in any way. I want to have GTK+ 2 / GNOME 2 only. AFAIU, all this pango, atk and glib will go away with disapperance of GTK+3. Am I correct?

Thank you.
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2537
Location: Hilbert space

PostPosted: Wed May 30, 2012 8:58 am    Post subject: Reply with quote

ONEEYEMAN wrote:
What is "lcms" and why it will be slotted?

lcms is a color management engine used by many graphical packages.
Among which app-text/ghostscript-gpl
The packages installed on your system might require different versions of the lcms package.
For instance, the app-text/ghostscript-gpl requires lcms in version 2 but others packages installed on your system might require it in version 1.
So lcms is slotted to enable you to get both versions installed.
ONEEYEMAN wrote:
I don't want GTK+ 3 on my system in any way. I want to have GTK+ 2 / GNOME 2 only.

8O Don't write this here ! You'll soon get fired ! :twisted:
There has been a long discussion on gentoo-bugzilla about this ! It happened to turn... well... angry. (at least)

What you want is of course achieveable, it will require the fiddling of a couple of ebuilds.
I did that myself for bluefish.
But... remember : You are strongly discouraged to do so ! :lol:
_________________
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Wed May 30, 2012 3:00 pm    Post subject: Reply with quote

:)
This is my development laptop. Therefore I don't want to confuse my programs between GTK+2 and GTK+3.

Thank you.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Wed May 30, 2012 4:12 pm    Post subject: Reply with quote

It looks like libpng14 is still pulled in:
Code:

mkdir .libs
x86_64-pc-linux-gnu-gcc -march=barcelona -O2 -pipe -Wall -Wmissing-prototypes -Wl,-O1 -o gdmgreeter greeter.o greeter_canvas_text.o greeter_canvas_item.o greeter_events.o greeter_geometry.o greeter_item.o greeter_item_timed.o greeter_item_capslock.o greeter_item_clock.o greeter_item_pam.o greeter_item_ulist.o greeter_item_customlist.o greeter_parser.o greeter_session.o greeter_system.o -pthread -pthread -pthread -pthread -pthread -pthread  -Wl,--as-needed -L/var/tmp/portage/gnome-base/gdm-2.20.11-r1/work/gdm-2.20.11/gui -lgdmwm -lgdmcommon -lgdmgreeter ../../common/libgdmcommon.a -lgnomecanvas-2 -lgtk-x11-2.0 -lgdk-x11-2.0 /usr/lib64/libatk-1.0.so -L/usr/lib64 /usr/lib64/librsvg-2.so -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lpng14 /usr/lib64/libcroco-0.6.so /usr/lib64/libgio-2.0.so -lresolv -lgdk_pixbuf-2.0 -lcairo /usr/lib64/libgmodule-2.0.so -ldl /usr/lib64/libgobject-2.0.so /usr/lib64/libgthread-2.0.so -lpthread /usr/lib64/libglib-2.0.so -lrt -lxml2 /usr/lib64/libart_lgpl_2.so -lm -lXi -lX11 /usr/lib64/libfontconfig.so -lfreetype -lz /usr/lib64/libexpat.so -lutil
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.5/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lpng14
collect2: ld returned 1 exit status
make[4]: *** [gdmgreeter] Error 1
make[4]: Leaving directory `/var/tmp/portage/gnome-base/gdm-2.20.11-r1/work/gdm-2.20.11/gui/greeter'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/gnome-base/gdm-2.20.11-r1/work/gdm-2.20.11/gui/greeter'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/gnome-base/gdm-2.20.11-r1/work/gdm-2.20.11/gui'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-base/gdm-2.20.11-r1/work/gdm-2.20.11'
make: *** [all] Error 2
 * ERROR: gnome-base/gdm-2.20.11-r1 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of 'emerge --info =gnome-base/gdm-2.20.11-r1',
 * the complete build log and the output of 'emerge -pqv =gnome-base/gdm-2.20.11-r1'.
 * The complete build log is located at '/var/tmp/portage/gnome-base/gdm-2.20.11-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-base/gdm-2.20.11-r1/temp/environment'.
 * S: '/var/tmp/portage/gnome-base/gdm-2.20.11-r1/work/gdm-2.20.11'

>>> Failed to emerge gnome-base/gdm-2.20.11-r1, Log file:

>>>  '/var/tmp/portage/gnome-base/gdm-2.20.11-r1/temp/build.log'

 * Messages for package gnome-base/gdm-2.20.11-r1:

 * ERROR: gnome-base/gdm-2.20.11-r1 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of 'emerge --info =gnome-base/gdm-2.20.11-r1',
 * the complete build log and the output of 'emerge -pqv =gnome-base/gdm-2.20.11-r1'.
 * The complete build log is located at '/var/tmp/portage/gnome-base/gdm-2.20.11-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-base/gdm-2.20.11-r1/temp/environment'.
 * S: '/var/tmp/portage/gnome-base/gdm-2.20.11-r1/work/gdm-2.20.11'

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


What is the problem?

Thank you.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5428

PostPosted: Wed May 30, 2012 5:17 pm    Post subject: Reply with quote

Check your config.log first, if that doesn't clear things up, grep pkgconfig files.
On that note: in development, you can't confuse gtk2 with gtk3 - they have different pkgconfig files.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Wed May 30, 2012 9:39 pm    Post subject: Reply with quote

VoidMage,
"config.log" does not mention png14 anywhere. Will try to search pkgconfig's.

[EDIT]
Just tried to do this:
Code:

IgorReinCloud / # cd /usr/portage
IgorReinCloud portage # grep -r png14 pkgconfig*
grep: pkgconfig*: No such file or directory


What am I doing wrong?
[/EDIT]

About you note: I'm using wxWidgets which does not use pkgconfig AFAIK.

Thank you.
Back to top
View user's profile Send private message
Gusar
Advocate
Advocate


Joined: 09 Apr 2005
Posts: 2642
Location: Slovenia

PostPosted: Wed May 30, 2012 9:49 pm    Post subject: Reply with quote

You should search in /usr/lib/, not /usr/portage.

And I'm surprised no one has mentioned lafilefixer yet.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Wed May 30, 2012 10:03 pm    Post subject: Reply with quote

Gusar,
grep did not find anything in /usr/lib for pkgconfig that relates to png14.
And what I need to install for "lafilefixer'?

Thank you.
Back to top
View user's profile Send private message
Gusar
Advocate
Advocate


Joined: 09 Apr 2005
Posts: 2642
Location: Slovenia

PostPosted: Wed May 30, 2012 10:24 pm    Post subject: Reply with quote

Oh come on, is it really so hard to put lafilefixer into google?

Interesting though, it seems your issue is not about .la files. I was quite sure of it. I had that the last time I had png problems (though I don't remember when that was, could've been a loooong time ago).
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5428

PostPosted: Wed May 30, 2012 11:02 pm    Post subject: Reply with quote

Was what you did 'grep -r png14 /usr/lib/pkgconfig/' ?
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Thu May 31, 2012 12:22 am    Post subject: Reply with quote

VoidMage,
Code:

IgorReinCloud portage # grep -r png14 /usr/lib/pkgconfig/
IgorReinCloud portage #


Thank you.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Thu May 31, 2012 1:34 am    Post subject: Reply with quote

Here is another problem, which I guess is easier to solve:

Code:


IgorReinCloud igor # emerge -pv --complete-graph=y --oneshot  =webkit-gtk-1.6.1-r201

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] gnome-base/gsettings-desktop-schemas-3.2.0-r1  152 kB
[ebuild     U  ] dev-libs/glib-2.30.3 [2.28.6] USE="static-libs -debug -doc (-fam*) (-selinux) -systemtap% -test -utils% -xattr (-introspection%)" 0 kB
[ebuild     U  ] net-libs/libproxy-0.4.7 [0.4.6] USE="gnome perl python -kde -mono -networkmanager -test (-webkit%) (-xulrunner%*)" 89 kB
[ebuild  N     ] net-libs/glib-networking-2.30.2  USE="gnome libproxy ssl" 291 kB
[ebuild     U  ] net-libs/libsoup-2.36.1-r1 [2.32.2] USE="introspection* ssl -debug -doc -samba% -test" 595 kB
[ebuild     U  ] net-libs/webkit-gtk-1.6.1-r201 [1.2.7] USE="gstreamer introspection* jit spell%* (-aqua) -coverage -debug -test -webgl% (-doc%)" 6,266 kB

Total: 6 packages (4 upgrades, 2 new), Size of downloads: 7,392 kB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

net-libs/libsoup:2.4

  (net-libs/libsoup-2.36.1-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/libsoup-2.33.6:2.4[introspection?] required by (net-libs/webkit-gtk-1.6.1-r201::gentoo, ebuild scheduled for merge)

  (net-libs/libsoup-2.32.2::gentoo, installed) pulled in by
    ~net-libs/libsoup-2.32.2 required by (net-libs/libsoup-gnome-2.32.2::gentoo, installed)

dev-libs/glib:2

  (dev-libs/glib-2.28.6::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/glib-2.30.3::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/glib-2.30.0:2 required by (net-libs/libsoup-2.36.1-r1::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Thank you.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Thu May 31, 2012 2:54 am    Post subject: Reply with quote

And here is another one with "png14":

Code:


Found cached translation database
Merging translations into org.gnome.panel.ClockApplet.panel-applet.
  CCLD   clock-applet
  CCLD   test-system-timezone
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.5/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lpng14
collect2: ld returned 1 exit status
make[5]: *** [clock-applet] Error 1
make[5]: Leaving directory `/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/work/gnome-panel-2.32.1/applets/clock'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/work/gnome-panel-2.32.1/applets/clock'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/work/gnome-panel-2.32.1/applets/clock'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/work/gnome-panel-2.32.1/applets'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/work/gnome-panel-2.32.1'
make: *** [all] Error 2
emake failed
 * ERROR: gnome-base/gnome-panel-2.32.1-r3 failed (compile phase):
 *   compile failure
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 5714:  Called gnome2_src_compile
 *   environment, line 3041:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *
 * If you need support, post the output of 'emerge --info =gnome-base/gnome-panel-2.32.1-r3',
 * the complete build log and the output of 'emerge -pqv =gnome-base/gnome-panel-2.32.1-r3'.
 * The complete build log is located at '/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/temp/environment'.
 * S: '/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/work/gnome-panel-2.32.1'

>>> Failed to emerge gnome-base/gnome-panel-2.32.1-r3, Log file:

>>>  '/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/temp/build.log'

 * Messages for package gnome-base/gnome-panel-2.32.1-r3:

 * ERROR: gnome-base/gnome-panel-2.32.1-r3 failed (compile phase):
 *   compile failure
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 5714:  Called gnome2_src_compile
 *   environment, line 3041:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *
 * If you need support, post the output of 'emerge --info =gnome-base/gnome-panel-2.32.1-r3',
 * the complete build log and the output of 'emerge -pqv =gnome-base/gnome-panel-2.32.1-r3'.
 * The complete build log is located at '/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/temp/environment'.
 * S: '/var/tmp/portage/gnome-base/gnome-panel-2.32.1-r3/work/gnome-panel-2.32.1'

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Thank you.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Thu May 31, 2012 3:05 am    Post subject: Reply with quote

Am I missing

Code:

ldconfig


run somewhere, because here is yet another one:

Code:


/bin/sh ../../libtool --silent --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..  -DG_LOG_DOMAIN=\"GladeUI-GNOME\" -I../.. -I../.. -I../../plugins/gtk+ -DORBIT2=1 -pthread -D_REENTRANT -I/usr/include/libbonoboui-2.0 -I/usr/include/orbit-2.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -I/usr/include/gtk-2.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include -I/usr/include/libgnomeui-2.0 -I/usr/include/gnome-keyring-1   -Wall -Wnested-externs -Wpointer-arith    -march=barcelona -O2 -pipe -c -o libgladegnome_la-glade-gnome.lo `test -f 'glade-gnome.c' || echo './'`glade-gnome.c
  CCLD   libgladegnome.la
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.5/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lpng14
collect2: ld returned 1 exit status
make[4]: *** [libgladegnome.la] Error 1
make[4]: Leaving directory `/var/tmp/portage/dev-util/glade-3.8.1/work/glade3-3.8.1/plugins/gnome'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/dev-util/glade-3.8.1/work/glade3-3.8.1/plugins/gnome'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-util/glade-3.8.1/work/glade3-3.8.1/plugins'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-util/glade-3.8.1/work/glade3-3.8.1'
make: *** [all] Error 2
 * ERROR: dev-util/glade-3.8.1 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of 'emerge --info =dev-util/glade-3.8.1',
 * the complete build log and the output of 'emerge -pqv =dev-util/glade-3.8.1'.
 * The complete build log is located at '/var/tmp/portage/dev-util/glade-3.8.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-util/glade-3.8.1/temp/environment'.
 * S: '/var/tmp/portage/dev-util/glade-3.8.1/work/glade3-3.8.1'

>>> Failed to emerge dev-util/glade-3.8.1, Log file:

>>>  '/var/tmp/portage/dev-util/glade-3.8.1/temp/build.log'

 * Messages for package dev-util/glade-3.8.1:

 * ERROR: dev-util/glade-3.8.1 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of 'emerge --info =dev-util/glade-3.8.1',
 * the complete build log and the output of 'emerge -pqv =dev-util/glade-3.8.1'.
 * The complete build log is located at '/var/tmp/portage/dev-util/glade-3.8.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-util/glade-3.8.1/temp/environment'.
 * S: '/var/tmp/portage/dev-util/glade-3.8.1/work/glade3-3.8.1'

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Notice that the command does correctly references libpng15, but CCLD one fails.

Thank you.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5428

PostPosted: Thu May 31, 2012 3:52 am    Post subject: Reply with quote

Let's try something more ham fisted then: 'find /usr/lib -name '*.la' -exec grep -H png14 '{}' +'.
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Thu May 31, 2012 5:34 am    Post subject: Reply with quote

VoidMage,

Code:

IgorReinCloud portage # find /usr/lib -name '*.la' -exec grep -H png14 '{}' +
IgorReinCloud portage #


Thank you.
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5428

PostPosted: Thu May 31, 2012 11:11 am    Post subject: Reply with quote

Perhaps a silly thing, but all those lines were for x86, on amd64 I think it's '/usr/lib64'.
Other than that, option b is that you've got trash in /usr/local or somewhere within LD_LIBRARY_PATH.
Back to top
View user's profile Send private message
few
Guru
Guru


Joined: 03 Mar 2008
Posts: 448

PostPosted: Thu May 31, 2012 11:11 am    Post subject: Reply with quote

Have you read the png news item and followed all the steps there?
Back to top
View user's profile Send private message
ONEEYEMAN
Advocate
Advocate


Joined: 01 Mar 2005
Posts: 2050

PostPosted: Thu May 31, 2012 3:50 pm    Post subject: Reply with quote

VoidMage,

Code:

IgorReinCloud gst-plugins-meta # grep -r png14 /usr/lib64/pkgconfig/
IgorReinCloud gst-plugins-meta # find /usr/lib64 -name '*.la' -exec grep -H png14 '{}' +
/usr/lib64/libgtkglext-x11-1.0.la:dependency_libs=' -L/usr/lib64 -lgdkglext-x11-1.0 -lGLU -lXmu -lXt -lSM -lICE -lpangox-1.0 -lX11 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lresolv -lpangoft2-1.0 -lpangocairo-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lpng14 -lgobject-2.0 -lgmodule-2.0 -lfreetype -lz -lexpat -lgthread-2.0 -ldl -lpthread -lglib-2.0 -lrt -lm'

/usr/lib64/libpanel-applet-2.la:dependency_libs=' -L/usr/lib64 -lbonoboui-2 -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lpng14 -lm -lfreetype -lexpat -lbonobo-2 -lbonobo-activation -lORBitCosNaming-2 -lgconf-2 -lgio-2.0 -lORBit-2 -lresolv -lz -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt -lX11 -lXau'

/usr/lib64/librsvg-2.la:dependency_libs=' -L/usr/lib64 -lgdk_pixbuf-2.0 -lgio-2.0 -lresolv -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lpthread -lcairo -lpng14 -lfreetype -lexpat -lcroco-0.6 -lglib-2.0 -lxml2 -lrt -ldl -lz -lm'

/usr/lib64/gtk-2.0/modules/libdwellmouselistener.la:dependency_libs=' -L/usr/lib64 -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lresolv -lpangoft2-1.0 -lpangocairo-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lpng14 -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lz -lexpat -lgthread-2.0 -ldl -lpthread -lglib-2.0 -lrt -lXi -lutil'

/usr/lib64/gtk-2.0/modules/libgnomesegvhandler.la:dependency_libs=' -L/usr/lib64 -lX11 -lgdk-x11-2.0 -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lexpat -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lcairo -lgthread-2.0 -ldl -lpng14 -lz -lm -lglib-2.0 -lpthread -lrt -lelf'

/usr/lib64/gtk-2.0/modules/libkeymouselistener.la:dependency_libs=' -L/usr/lib64 -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lresolv -lpangoft2-1.0 -lpangocairo-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lpng14 -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lz -lexpat -lgthread-2.0 -ldl -lpthread -lglib-2.0 -lrt -lXi -lutil'

/usr/lib64/libgdkglext-x11-1.0.la:dependency_libs=' -L/usr/lib64 -lGLU -lXmu -lXt -lSM -lICE -lgdk-x11-2.0 -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lexpat -lgdk_pixbuf-2.0 -lcairo -lpng14 -lz -lpangox-1.0 -lX11 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lpthread -ldl -lglib-2.0 -lrt -lm'

/usr/lib64/libgtkmm-2.4.la:dependency_libs=' -L/usr/lib64 -lgdkmm-2.4 -latkmm-1.6 -latk-1.0 -lgiomm-2.4 -lgio-2.0 -lpangomm-1.4 -lglibmm-2.4 -lcairomm-1.0 -lpangocairo-1.0 -lsigc-2.0 -lpng14 -lXrender -lX11 -lgtk-x11-2.0 -lgdk-x11-2.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/libglade/2.0/libgnome.la:dependency_libs=' -L/usr/lib64 -lgnomeui-2 -lSM -lICE -lX11 -lbonoboui-2 -lgnomecanvas-2 -lgnome-2 -lart_lgpl_2 -lbonobo-2 -lbonobo-activation -lORBitCosNaming-2 -lgnomevfs-2 -lgconf-2 -lxml2 -ldbus-glib-1 -lssl -lcrypto -lutil -lgio-2.0 -lORBit-2 -lgnome-keyring -lgcrypt -ldbus-1 -lgpg-error -lglade-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lresolv -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lpng14 -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt -lpopt'

/usr/lib64/libwebkit-1.0.la:dependency_libs=' -L/usr/lib64 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lXfixes -lgstapp-0.10 -lgstpbutils-0.10 -lgstvideo-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -ljpeg -lsoup-2.4 -lgio-2.0 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lresolv -lxslt -lxml2 -lgobject-2.0 -lgmodule-2.0 -lfreetype -lexpat -lgthread-2.0 -lglib-2.0 -lrt -lz -lsqlite3 -ldl -lpthread -licui18n -licuuc -licudata -lXt -lX11'

/usr/lib64/libpangomm-1.4.la:dependency_libs=' -L/usr/lib64 -lglibmm-2.4 -lcairomm-1.0 -lsigc-2.0 -lpng14 -lXrender -lX11 -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lexpat -lz -lgobject-2.0 -lgmodule-2.0 -lcairo -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libeabutil.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -leshell -lmenus -letable -letext -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lSM -lICE -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lplds4 -lplc4 -lnspr4 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libecontacteditor.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -leabutil -leshell -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lSM -lICE -lmenus -letable -letext -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lplds4 -lplc4 -lnspr4 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libevolution-mail-settings.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -levolution-mail -lcomposer -lecontactlisteditor -lecontacteditor -leabutil -lemformat -lcanberra-gtk -lcanberra -levolution-smime -lessmime -leshell -lmenus -letable -letext -lemiscwidgets -lfilter -levolution-a11y -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lSM -lICE -lgtkhtml-3.14 -lenchant -leutil -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lplds4 -lplc4 -lnspr4 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libcomposer.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -lemformat -lecontactlisteditor -lecontacteditor -leabutil -leshell -lmenus -letable -letext -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lSM -lICE -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libmenus.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -letable -letext -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -ledataserverui-1.2 -lebook-1.2 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lfreetype -lexpat -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lgconf-2 -lORBit-2 -lsoup-2.4 -lgio-2.0 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lgobject-2.0 -lgmodule-2.0 -lresolv -lz -lgthread-2.0 -ldl -lglib-2.0 -lrt -lplds4 -lplc4 -lnspr4 -lpthread -lm'

/usr/lib64/evolution/2.32/libevolution-mail.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -lcomposer -lecontactlisteditor -lecontacteditor -leabutil -lemformat -lcanberra-gtk -lcanberra -levolution-smime -leshell -lmenus -letable -letext -lSM -lICE -lessmime -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libevolution-calendar-importers.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -leshell -lmenus -letable -letext -legroupwise-1.2 -lSM -lICE -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lecal-1.2 -licalss -licalvcal -lical -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lebackend-1.2 -lnotify -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libevolution-calendar.la:dependency_libs=' -L/usr/lib64/evolution/2.32 -L/usr/lib64 -lcomposer -lemformat -lecontactlisteditor -lecontacteditor -leabutil -levolution-calendar-importers -leshell -lmenus -legroupwise-1.2 -lSM -lICE -letimezonedialog -letable -letext -lemiscwidgets -levolution-a11y -lgnomecanvas -lart_lgpl -lfilter -leutil -lcamel-provider-1.2 -lecal-1.2 -licalss -licalvcal -lical -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lebackend-1.2 -lnotify -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libetimezonedialog.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lecal-1.2 -licalss -licalvcal -lical -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lebackend-1.2 -lnotify -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgconf-2 -lgio-2.0 -lORBit-2 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -lpthread -lglib-2.0 -ldl -lrt'

/usr/lib64/evolution/2.32/libemformat.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -leshell -lmenus -letable -letext -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lSM -lICE -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libfilter.la:dependency_libs=' -L/usr/lib64/evolution/2.32 -L/usr/lib64 -leutil -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lplds4 -lplc4 -lnspr4 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libevolution-mail-importers.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -levolution-mail -lcomposer -lecontactlisteditor -lecontacteditor -leabutil -lemformat -lcanberra-gtk -lcanberra -levolution-smime -lessmime -leshell -lmenus -letable -letext -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lSM -lICE -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -ledataserverui-1.2 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lfreetype -lexpat -lcamel-provider-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lgconf-2 -lORBit-2 -lsoup-2.4 -lgio-2.0 -lxml2 -lgnutls -lm -ltasn1 -lgcrypt -lgpg-error -lgobject-2.0 -lgmodule-2.0 -lresolv -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libeshell.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -lmenus -letable -letext -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lSM -lICE -lgtkhtml-3.14 -lenchant -ledataserverui-1.2 -lebook-1.2 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lfreetype -lexpat -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lgconf-2 -lORBit-2 -lsoup-2.4 -lgio-2.0 -lxml2 -lgnutls -lm -ltasn1 -lgcrypt -lgpg-error -lgobject-2.0 -lgmodule-2.0 -lresolv -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libevolution-smime.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -leshell -lmenus -letable -letext -lSM -lICE -lessmime -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -ledataserverui-1.2 -lebook-1.2 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lfreetype -lexpat -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lgconf-2 -lORBit-2 -lsoup-2.4 -lgio-2.0 -lxml2 -lgnutls -lm -ltasn1 -lgcrypt -lgpg-error -lgobject-2.0 -lgmodule-2.0 -lresolv -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libessmime.la:dependency_libs=' -L/usr/lib64/evolution/2.32 -L/usr/lib64 -leutil -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lcamel-provider-1.2 -ledataserverui-1.2 -lebook-1.2 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lfreetype -lexpat -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lgconf-2 -lORBit-2 -lsoup-2.4 -lgio-2.0 -lxml2 -lgnutls -lm -ltasn1 -lgcrypt -lgpg-error -lgobject-2.0 -lgmodule-2.0 -lresolv -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libevolution-addressbook-importers.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -leabutil -leshell -lmenus -letable -letext -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lSM -lICE -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -ledataserverui-1.2 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lfreetype -lexpat -lcamel-provider-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lgconf-2 -lORBit-2 -lsoup-2.4 -lgio-2.0 -lxml2 -lgnutls -lm -ltasn1 -lgcrypt -lgpg-error -lgobject-2.0 -lgmodule-2.0 -lresolv -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libeutil.la:dependency_libs=' -L/usr/lib64 -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lplds4 -lplc4 -lnspr4 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libemiscwidgets.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt -lm'

/usr/lib64/evolution/2.32/libart_lgpl.la:dependency_libs=' -L/usr/lib64 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lxml2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt -lm'

/usr/lib64/evolution/2.32/libecontactlisteditor.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -lecontacteditor -leabutil -leshell -lmenus -letable -letext -lemiscwidgets -lfilter -levolution-a11y -leutil -lgnomecanvas -lart_lgpl -lecal-1.2 -licalss -licalvcal -lical -legroupwise-1.2 -lebackend-1.2 -lSM -lICE -ledataserverui-1.2 -lebook-1.2 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lfreetype -lexpat -lcamel-provider-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lgconf-2 -lORBit-2 -lsoup-2.4 -lgio-2.0 -lxml2 -lgnutls -lm -ltasn1 -lgcrypt -lgpg-error -lgobject-2.0 -lgmodule-2.0 -lresolv -lz -lgthread-2.0 -ldl -lglib-2.0 -lrt -lplds4 -lplc4 -lnspr4 -lpthread'

/usr/lib64/evolution/2.32/libevolution-a11y.la:dependency_libs=' -L/usr/lib64/evolution/2.32 -L/usr/lib64 -leutil -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lplds4 -lplc4 -lnspr4 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libgnomecanvas.la:dependency_libs=' -L/usr/lib64/evolution/2.32 -L/usr/lib64 -lart_lgpl -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lxml2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libetable.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -letext -lemiscwidgets -lfilter -levolution-a11y -leutil -lcamel-provider-1.2 -lgnomecanvas -lart_lgpl -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lplds4 -lplc4 -lnspr4 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/evolution/2.32/libetext.la:dependency_libs=' -L/usr/lib64 -L/usr/lib64/evolution/2.32 -lemiscwidgets -lfilter -levolution-a11y -leutil -lcamel-provider-1.2 -lgtkhtml-editor-3.14 -lgtkhtml-3.14 -lenchant -lgnomecanvas -lart_lgpl -ledataserverui-1.2 -lebook-1.2 -lcamel-1.2 -ledataserver-1.2 -lsqlite3 -lssl3 -lsmime3 -lnssutil3 -lnss3 -lsoup-2.4 -lxml2 -lgnutls -ltasn1 -lgcrypt -lgpg-error -lplds4 -lplc4 -lnspr4 -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lpng14 -lXext -lXrender -lXi -lXrandr -lXcursor -lX11 -lXcomposite -lXdamage -lXfixes -lgconf-2 -lgio-2.0 -lORBit-2 -lgnome-desktop-2 -lstartup-notification-1 -lunique-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lm -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/libgdkmm-2.4.la:dependency_libs=' -L/usr/lib64 -lgiomm-2.4 -lgio-2.0 -lpangomm-1.4 -lglibmm-2.4 -lcairomm-1.0 -lpangocairo-1.0 -lsigc-2.0 -lpng14 -lXrender -lX11 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lresolv -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lfreetype -lexpat -lz -lgthread-2.0 -ldl -lglib-2.0 -lpthread -lrt'

/usr/lib64/libgnomeui-2.la:dependency_libs=' -L/usr/lib64 -lbonoboui-2 -lgnomecanvas-2 -lgnome-2 -lart_lgpl_2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lgdk_pixbuf-2.0 -lcairo -lpng14 -lfreetype -lexpat -lbonobo-2 -lbonobo-activation -lORBitCosNaming-2 -lgnomevfs-2 -lgconf-2 -lxml2 -lm -ldbus-glib-1 -lssl -lcrypto -lutil -lgio-2.0 -lORBit-2 -lresolv -lz -lgmodule-2.0 -lgobject-2.0 -ldl -lgthread-2.0 -lgnome-keyring -lglib-2.0 -lgcrypt -ldbus-1 -lpthread -lgpg-error -lrt -lSM -lICE -lX11 -lpopt'
IgorReinCloud gst-plugins-meta #


few,
What 'png news item?

Thank you.
Back to top
View user's profile Send private message
EatMeerkats
Apprentice
Apprentice


Joined: 15 Mar 2006
Posts: 234

PostPosted: Thu May 31, 2012 4:04 pm    Post subject: Reply with quote

Quote:
2011-10-15-libpng15
Title Upgrade to libpng15
Author Samuli Suominen <ssuominen@gentoo.org>
Posted 2011-10-15
Revision 1

After upgrading from libpng14 to libpng15 it's important that you rebuild
cairo and gdk-pixbuf as soon as possible if they are installed.

Then you can proceed with rebuilding the rest of the software against the new
library:

# revdep-rebuild --library libpng14.so.14 -- --keep-going

Note: It might be necessary to run the previous command more than once.

If you find packages not building with the message "ld: cannot find -lpng14",
they are likely caused by broken libtool archives (.la) in your system.

You can identify those files with following one-liner:

# find /usr/ -name '*.la' -exec grep png14 {} +

Once you have identified the broken files, you can either delete them,
edit them in place and replace png14 with png15, or re-emerge the packages
they belong to.

More information and help is available at the following forum post:

http://forums.gentoo.org/viewtopic-t-894950.html
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5428

PostPosted: Thu May 31, 2012 4:40 pm    Post subject: Reply with quote

So, reemerge the packages, those la files belong to.
Also, mind that Gnome 2 won't be around for long. Awhile ago, there was a post about it.
Chances are Gnome 3 will go stable within next 3 months and Gnome 2 will go away shortly after.
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2105
Location: Finland

PostPosted: Thu May 31, 2012 9:39 pm    Post subject: Reply with quote

few wrote:
Have you read the png news item and followed all the steps there?


Indeed. The problem with libpng14.la and -lpng14 in this thread is exactly what the news item is for.
Back to top
View user's profile Send private message
Gusar
Advocate
Advocate


Joined: 09 Apr 2005
Posts: 2642
Location: Slovenia

PostPosted: Thu May 31, 2012 10:00 pm    Post subject: Reply with quote

Ah, so I was right, lafilefixer would fix this. I think I used it in the 1.2 -> 1.4 transition. From the news (emphasis mine):
Quote:
Once you have identified the broken files, you can either delete them,
edit them in place and replace png14 with png15, or re-emerge the packages
they belong to.

That's what lafilefixer would do automatically, edit the files.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum